*
The moose likes Websphere and the fly likes I am confuse in selecting data source or datasources (websphere application server V4)in websphere 7 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of OCM Java EE 6 Enterprise Architect Exam Guide this week in the OCMJEA forum!
JavaRanch » Java Forums » Products » Websphere
Bookmark "I am confuse in selecting data source or datasources (websphere application server V4)in websphere 7" Watch "I am confuse in selecting data source or datasources (websphere application server V4)in websphere 7" New topic
Author

I am confuse in selecting data source or datasources (websphere application server V4)in websphere 7

sachin pate
Greenhorn

Joined: May 03, 2013
Posts: 19
In my project I am using EJB 1.1 and i am using servlet 1.4,2.3,1.2,2.2.I want to add database which option i need to choose.
So please let me know which option i need to choose i.e Datasources or Data sources(Websphere Application Server V4) in websphere application server.




Thanks and Regards,
Sachin Pate


[Thumbnail for send_13 sept.JPG]

Jeanne Boyarsky
internet detective
Marshal

Joined: May 26, 2003
Posts: 30383
    
150

I think "Datasources". The other is for old applications/datasources that were ported directly from old WebSphere. Since you are creating a new datasource, it wouldn't qualify as legacy.

The reason I say "I think" is because EJB 1.1 is old and I haven't touched it a decade. If you are writing new code, please reconsider using entity beans 1.1. New code should use JPA. And if this is old code, consider talking to your boss about the need to upgrade.


[Blog] [JavaRanch FAQ] [How To Ask Questions The Smart Way] [Book Promos]
Blogging on Certs: SCEA Part 1, Part 2 & 3, Core Spring 3, OCAJP, OCPJP beta, TOGAF part 1 and part 2
sachin pate
Greenhorn

Joined: May 03, 2013
Posts: 19
Jeanne Boyarsky wrote:I think "Datasources". The other is for old applications/datasources that were ported directly from old WebSphere. Since you are creating a new datasource, it wouldn't qualify as legacy.

The reason I say "I think" is because EJB 1.1 is old and I haven't touched it a decade. If you are writing new code, please reconsider using entity beans 1.1. New code should use JPA. And if this is old code, consider talking to your boss about the need to upgrade.




If I select datasorce then it gives an error.If I select Datasource(websphere application V4) it doesn't gives an error but some problem I am facing regarding to fetch the data from server.Please tell the datails between Datasources and Datasources(websphere application V4) I am very much confuse in that.

Thanks,
Sachin
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: I am confuse in selecting data source or datasources (websphere application server V4)in websphere 7